package com.viettel.campaign.repository;

import com.viettel.campaign.model.ApParam;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ApParamRepository extends JpaRepository<ApParam, Long>, ApParamRepositoryCustom {

    Page<ApParam> findAll(Pageable pageable);

    @Query(value = "SELECT p FROM ApParam p WHERE parName LIKE %?1%")
    List<ApParam> findParamByName(String parName, Pageable pageable);
}
